https://bugs.gentoo.org/575232
diff --git a/configure.ac b/configure.ac
index fa5977b..2832c69 100644
--- a/configure.ac
+++ b/configure.ac
@@ -416,6 +416,10 @@ AC_HEADER_STDC
 AC_LIBTOOL_WIN32_DLL
 # This causes monodis to not link correctly
 #AC_DISABLE_FAST_INSTALL
+
+#lookup makedev() header
+AC_HEADER_MAJOR
+
 AM_PROG_LIBTOOL
 # Use dolt (http://dolt.freedesktop.org/) instead of libtool for building.
 DOLT
diff --git a/mono/io-layer/processes.c b/mono/io-layer/processes.c
index 53c271a..7ff8d03 100644
--- a/mono/io-layer/processes.c
+++ b/mono/io-layer/processes.c
@@ -45,6 +45,13 @@
 #include <utime.h>
 #endif
 
+/* makedev() macro */
+#ifdef MAJOR_IN_MKDEV
+#include <sys/mkdev.h>
+#elif defined MAJOR_IN_SYSMACROS
+#include <sys/sysmacros.h>
+#endif
+
 /* sys/resource.h (for rusage) is required when using osx 10.3 (but not 10.4) */
 #ifdef __APPLE__
 #include <TargetConditionals.h>
